[arch-commits] Commit in (5 files)

Ronald van Haren ronald at archlinux.org
Sat Aug 9 13:06:42 EDT 2008


    Date: Saturday, August 9, 2008 @ 13:06:41
  Author: ronald
Revision: 8229

add ristretto to extra repo

Added:
  ristretto/
  ristretto/repos/
  ristretto/trunk/
  ristretto/trunk/PKGBUILD
  ristretto/trunk/ristretto.install

-------------------+
 PKGBUILD          |   25 +++++++++++++++++++++++++
 ristretto.install |   18 ++++++++++++++++++
 2 files changed, 43 insertions(+)

Added: ristretto/trunk/PKGBUILD
===================================================================
--- ristretto/trunk/PKGBUILD	                        (rev 0)
+++ ristretto/trunk/PKGBUILD	2008-08-09 17:06:41 UTC (rev 8229)
@@ -0,0 +1,25 @@
+# $Id$
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+
+pkgname=ristretto
+pkgver=0.0.20
+pkgrel=2
+pkgdesc="Ristretto is a image viewer for Xfce"
+arch=('i686' 'x86_64')
+url="http://goodies.xfce.org/projects/applications/ristretto"
+license=('GPL2')
+depends=('libjpeg' 'librsvg' 'libpng' \
+         'libxfcegui4' 'thunar')
+makedepends=('intltool' 'pkgconfig')
+options=('!libtool')
+groups=('xfce4-goodies')
+source=(http://goodies.xfce.org/releases/$pkgname/$pkgname-$pkgver.tar.gz)
+install=ristretto.install
+md5sums=('12eaaea1aaaea024ad3ce8a114ff9e6d')
+
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --disable-static
+  make || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+}


Property changes on: ristretto/trunk/PKGBUILD
___________________________________________________________________
Name: svn:keywords
   + Id

Added: ristretto/trunk/ristretto.install
===================================================================
--- ristretto/trunk/ristretto.install	                        (rev 0)
+++ ristretto/trunk/ristretto.install	2008-08-09 17:06:41 UTC (rev 8229)
@@ -0,0 +1,18 @@
+post_install() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+op=$1
+shift
+
+$op $*




More information about the arch-commits mailing list